Китайский хакер по имени Мин Чжэн продемонстрировал iPhone 5c с предустановленной операционной системой iOS 9.2.1, на которую он успешно установил джейлбрейк. Разработчик также рассказал, что обнаруженная им уязвимость позволяет выполнять взлом любого устройства Apple с 32-битной архитектурой процессора и ОС не выше iOS 9.2.1.

Обнаруженная хакером уязвимость в iOS 9.2.1 позволила ему установить на iPhone 5c магазин твиков Cydia, запустить мобильный терминал и даже выполнить инсталляцию нескольких расширений. К сожалению, как рассказал сам хакер, созданный им джейлбрейк фактически бесполезен и будет мало полезен обычным пользователям.

Flying JB Cydia download

Связано это с тем, что Flying Jailbreak базируется на уязвимости ядра HeapOverFlow, которая существовала около 15 лет, однако в iOS 9.3.2 компания Apple полностью закрыла ее, поэтому взлом iPhone и iPad возможен только на операционной системе не выше iOS 9.2.1. В добавок к этому, джейлбрейк из-за архитектуры процессора можно установить только на 32-битные устройства, такие как iPhone 5c, iPhone 5, iPad 2/3 и т.д.

Талантливый хакер не хочет больше тратить время на разработку малополезного джейлбрейка, поэтому он решил опубликовать исходный код своего продукта на GitHub, откуда его может загрузить любой желающий и использовать уязвимость в своих целях.

Понравилась статья? - Расскажите друзьям.

Добавить комментарий

Вы ввели некорректные логин или пароль

Извините, для комментирования необходимо войти.